Chromium Code Reviews
Help | Chromium Project | Sign in
(39)

Issue 11575026: Fix possible integer overflow in Opus with ~16MB fed to the decoder. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 4 months ago by aedla
Modified:
2 years, 4 months ago
Reviewers:
Sergey Ulanov
CC:
chromium-reviews
Visibility:
Public.

Description

Fix possible integer overflow in Opus with ~16MB fed to the decoder. BUG=160480 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=173498

Patch Set 1 #

Total comments: 1

Patch Set 2 : Fix possible integer overflow in Opus with ~16MB fed to the decoder. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1 line, -3 lines) Patch
M src/opus_decoder.c View 1 1 chunk +1 line, -3 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 7 (0 generated)
aedla
Importing a fix from upstream. Sergey, will you please take a look?
2 years, 4 months ago (2012-12-14 08:07:05 UTC) #1
Sergey Ulanov
Changes in opus_decoder.c - LGTM. I think README.chromium should be updated in a separate CL, ...
2 years, 4 months ago (2012-12-14 18:51:22 UTC) #2
aedla
Fix possible integer overflow in Opus with ~16MB fed to the decoder. BUG=160480
2 years, 4 months ago (2012-12-16 10:21:42 UTC) #3
aedla
On 2012/12/14 18:51:22, sergeyu wrote: > Changes in opus_decoder.c - LGTM. I think README.chromium should ...
2 years, 4 months ago (2012-12-16 10:39:57 UTC) #4
Sergey Ulanov
On 2012/12/16 10:39:57, aedla wrote: > On 2012/12/14 18:51:22, sergeyu wrote: > > Changes in ...
2 years, 4 months ago (2012-12-17 05:25:00 UTC) #5
Sergey Ulanov
Ah, CQ doesn't work for /trunk/deps. I'll land this change.
2 years, 4 months ago (2012-12-17 18:26:10 UTC) #6
Sergey Ulanov
2 years, 4 months ago (2012-12-17 18:45:53 UTC) #7
Message was sent while issue was closed.
On 2012/12/17 18:26:10, sergeyu wrote:
> Ah, CQ doesn't work for /trunk/deps. I'll land this change.

Landed in crrev.com/173498
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 700cc9d